[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.GetText

Returns the contents as a PChar

## Declaration

Source position: classesh.inc line 666

`public function TStrings.GetText: PChar; virtual;`

## Description

GetText allocates a memory buffer and compies the contents of the stringlist to this buffer as a series of strings, separated by an end-of-line marker. The buffer is zero terminated.

Remark: | The caller is responsible for freeing the returned memory buffer.

Documentation generated on: Feb 26 2014